/*******************(C) COPYRIGHT 2019 GRAND-LOTUS *****************************
* File Name          : PWM1_Init.C
* Author             : GRAND LOTUS
* Version            : V1.00
* Date               : 2019/07/01
********************************************************************************
*
*PWM1初始化
*
*******************************************************************************/
#include "common.h"
//******************************************************************************
/////////////////////T0CR 控制寄存器各位定义////////////////////////////////////
//******************************************************************************
//Bit 7 TCxEN: TCx模块使能位
//1 = 使能TCx
//0 = 关闭TCx
//Bit 6 TCxMOD: TCx模式选择位
//1 = 16位模式
//0 = 8位模式
//Bit[4:3] TCxCKS: TCx时钟源选择
//00 Foscl(低频系统时钟)
//01 Fosch(高频系统时钟)
//10 Fcpu
//11 T0CKI(TC0)/T1CKI (TC1)
//Bit[2:0] TCxCKPS[2:0]: TCx预分频比选择
//TCxCKPS[2:0] TCx 预分频比
//000 1:1
//001 1:2
//010 1:4
//011 1:8
//100 1:16
//101 1:32
//110 1:64
//111 1:128
#define		TC1EN_1				Bin(10000000)               //使能TC0			
#define   	TC1EN_0     		Bin(00000000)				//屏蔽TC0
#define	  	TC1MOD_16			Bin(01000000)				//16位模式
#define	  	TC1MOD_8			Bin(00000000)				//8位模式
#define		TC1CKS_Foscl		Bin(00000000)				//Foscl(低频系统时钟)
#define		TC1CKS_Fosch		Bin(00001000)				//Fosch(高频系统时钟)
#define		TC1CKS_Fcpu			Bin(00010000)				//Fcpu
#define		TC1CKS_TC0CKI		Bin(00011000)				//TC0CKI(外接信号)
#define		TC1CKPS_1_1			Bin(00000000)				//分频比1：1
#define		TC1CKPS_1_2			Bin(00000001)				//分频比1：2
#define		TC1CKPS_1_4			Bin(00000010)				//分频比1：4
#define		TC1CKPS_1_8			Bin(00000011)				//分频比1：8
#define		TC1CKPS_1_16		Bin(00000100)				//分频比1：16
#define		TC1CKPS_1_32		Bin(00000101)				//分频比1：32
#define		TC1CKPS_1_64		Bin(00000110)				//分频比1：64
#define		TC1CKPS_1_128		Bin(00000111)				//分频比1：128
//*******************************************************************************************
///////////////////// PWM1CR控制寄存器各位定义///////////////////////////////////////////////
//*******************************************************************************************
//Bit 7 PWM1EN: PWM1模块使能位
//1 = 使能PWM1
//0 = 关闭PWM1
//Bit 6 PWM1POE: PWM1正相波形输出使能位
//1 = 端口输出PWM1P波形
//0 = 端口用作IO
//Bit 5 PWM1NOE: PWM1反相波形输出使能位
//1 = 端口输出PWM1N波形
//0 = 端口用作IO
//Bit 4 PWMxPAS: PWMxP波形有效电平选择
//1 = PWMxP波形有效电平为低电平
//0 = PWMxP波形有效电平为高电平
//Bit 3 PWM1NAS: PWM1N波形有效电平选择
//1 = 端口输出PWM波形高电平有效
//0 = 端口输出PWM波形低电平有效
//Bit 1 PWM1M: PWM1模式选择
//1 = 单脉冲模式（需将定时器1设置成16位模式）
//0 = 正常PWM模式（需将定时器1设置成8为模式）
//Bit 0 PWM1T: PWM1触发事件设置
//1 = T1CKI上升沿/下降沿
//0 = T1CKI上升沿
#define		PWM1EN_1				Bin(10000000)       				//使能PWM
#define   	PWM1EN_0     			Bin(00000000)       				//关闭PWM
#define		PWM1POE_1				Bin(01000000)        				//端口输出PWM1P波形
#define		PWM1POE_0				Bin(00000000)        				//端口用作IO
#define		PWM1NOE_1				Bin(00100000)       				//端口输出PWM1N波形
#define		PWM1NOE_0				Bin(00000000)        				//端口用作IO
#define		PWM1PAS_1				Bin(00010000)        				//PWM1P波形有效电平为低电平
#define		PWM1PAS_0				Bin(00000000)       				//PWM1P波形有效电平为高电平
#define		PWM1NAS_1				Bin(00001000)        				//PWM1N波形有效电平为高电平
#define		PWM1NAS_0				Bin(00000000)       				//PWM1N波形有效电平为低电平
#define		PWM1M_1                 Bin(00000010)                       //单脉冲模式（需将定时器1设置成16位模式）
#define		PWM1M_0                 Bin(00000000)                       //正常PWM模式（需将定时器1设置成8为模式）
#define     PWM1T_1                 Bin(00000001)                       //T1CKI上升沿/下降沿
#define     PWM1T_0                 Bin(00000000)                       //T1CKI上升沿           
#define		PWM1S_000				Bin(00000000)						//PWM无输出波形端口PWM1P/PWM1N
#define		PWM1S_001				Bin(00000001)						//PWM输出波形端口PWM1PA/PWM1NA
#define		PWM1S_010				Bin(00000010)						//PWM输出波形端口PWM1PB/PWM1NB
#define		PWM1S_011				Bin(00000011)						//PWM输出波形端口PWM1P/PWM1N
#define		PWM1S_100				Bin(00000100)					    //PWM输出波形端口PWM1PC/PWM1NC
#define		PWM1S_101				Bin(00000101)						//PWM输出波形端口PWM1P/PWM1N
#define		PWM1S_110				Bin(00000110)					    //PWM输出波形端口PWM1P/PWM1NO
#define		PWM1S_111				Bin(00000111)						//PWM输出波形端口PWM1P/PWM1N					
//==========================================================================================
//==============================PWM1设置====================================================
//==========================================================================================
void PWM1_Init(void)
{
//1、IO端口设置
		OEA = 0x03;                           							//PWM1NA/PWM1PA口输出PWM1波形
//2、时钟源设置(以TC0为例,使其产生1k的波形)
		T1CR =(unsigned char )(TC1MOD_8 + TC1CKS_Fosch + TC1CKPS_1_64);
		TC1CH = 0;                                                 		//TC1计数器高位清零
		TC1CL = 249;                                               		//16M/64/(249+1)=1KHz
//3、PWM设置			
		PWM1CR = (unsigned char)(PWM1POE_1+PWM1NOE_1+PWM1PAS_1+PWM1NAS_1+PWM1M_0+PWM1T_0);
		PWM1S = (unsigned char)(PWM1S_001);
		PWM1DL = 0;
		PWM1DH = (249+1)/2;                                            	//产生占空比50%的PWM1波形
//4、开启PWM0
        TC1EN = 1;												   	   	//定时器T1开启
	    PWM1EN = 1;												       	//PWM1开启
}
/*********************************END OF FILE********************************************/ 
