;*******************(C) COPYRIGHT 2019 GRAND-LOTUS **************************
;* File Name          : TC1_Init.ASM
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;****************************************************************************
;
;TC1初始化
;
;//***************************************************************************
;/////////////////////T1CR 控制寄存器各位定义/////////////////////////////////
;//***************************************************************************
;//TxCR 定时器控制寄存器
;//TCxEN:  TCx模块使能位
;//1 = 使能TCx
;//0 = 关闭TCx
;//TCxMOD:  TCx模式选择位
;//1 = 16位模式
;//0 = 8位模式
;//TCxCKS:  TCx时钟源选择
;//TCxCKS[1:0]	TCx时钟源选择
;//00	Foscl(低频系统时钟)
;//01	Fosch(高频系统时钟)
;//10	Fcpu
;//11	TC0:(T0cki) TC1:(TK)
;//TCxCKPS[2:0]:  TCx预分频比选择
;//TCxCKPS[2:0]	TCx预分频比
;//000	1:1
;//001	1:2
;//010	1:4
;//011	1:8
;//100	1:16
;//101	1:32
;//110	1:64
;//111	1:128
#DEFINE         TC1EN_0          b'00000000'       ;//1 = 使能TCx
#DEFINE         TC1EN_1          b'10000000'       ;//0 = 关闭TCx
#DEFINE         TC1MOD_8         b'00000000'       ;//0 = 8位模式
#DEFINE         TC1MOD_16        b'01000000'       ;//1 = 16位模式
#DEFINE         TC1CKS_Foscl     b'00000000'       ;//Foscl(低频系统时钟)
#DEFINE         TC1CKS_Fosch     b'00001000'       ;//Fosch(高频系统时钟)
#DEFINE         TC1CKS_Fcpu      b'00010000'       ;//Fcpu
#DEFINE         TC1CKS_TC0CKI    b'00011000'       ;//T0CKI(TC0)/T1CKI (TC1)
#DEFINE         TC1CKPS_1_1      b'00000000'       ;//1:1分频
#DEFINE         TC1CKPS_1_2      b'00000001'       ;//1:2分频
#DEFINE         TC1CKPS_1_4      b'00000010'       ;//1:4分频
#DEFINE         TC1CKPS_1_8      b'00000011'       ;//1:8分频
#DEFINE         TC1CKPS_1_16     b'00000100'       ;//1:16分频
#DEFINE         TC1CKPS_1_32     b'00000101'       ;//1:32分频
#DEFINE         TC1CKPS_1_64     b'00000110'       ;//1:64分频
#DEFINE         TC1CKPS_1_128    b'00000111'       ;//1:128分频
;*******************************************************************************
;=========================TC1定时程序===========================================
;*******************************************************************************
TC1_Init:
;//1、时钟源设置(以TC1为例,使其产生1ms的波形)
		MOVIA        TC1MOD_8+TC1CKS_Fosch+TC1CKPS_1_128 ;//定时器T0，选择高频，8位模式，频分比为1：128 
		MOVAR	     T1CR		                   ;//将模式位配置字写入T1CR
		CLRR	     TC1CH                         ;//将TC1CH清零
		MOVIA        124                           ;//将125写入A
		MOVAR	     TC1CL                         ;//16M/128T=8us*(124+1)=1ms
;//2、开启TC0        
		BSET		 T0CR,7							;//开启TC1使能
;//3、开启定时器TC0中断		
		BCLR		 INTF0,TC1IF							;//清中断标志位
		BSET		 INTCR0,TC1IE							;//开启定时器T1溢出中断
		BSET    	 OPTION,GIE  							;//1:总中断使能,0:屏蔽所有中断	
		RETURN
;*********************************END OF FILE******************************  		